Revert "start refactoring STC jobs to use common cell allocation script"

This reverts commit e84b4e54522bfe615262b43e5ca0f48016da0dba.

Change-Id: I43082888fda37f8e65d66198bc47964c0cb4b7b5
diff --git a/jjb/onos/allocate-cell-and-build.sh b/jjb/onos/allocate-cell-and-build.sh
deleted file mode 100755
index a86f26f..0000000
--- a/jjb/onos/allocate-cell-and-build.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-# initialize build environment
-ONOS_ROOT=`pwd`
-. tools/build/envDefaults
-
-# initialize development environment
-export JAVA_HOME=
-. tools/dev/bash_profile
-
-PATH=$PATH:/home/jenkins/bin
-
-cell_name="${BUILD_TAG}"
-
-# always free the cell when exiting
-function cleanup {
-  cell return ${cell_name}
-}
-
-trap cleanup EXIT
-
-# grab a cell to run on
-cell borrow 120 3+1 ${cell_name}
-
-# build onos bits
-bazel build onos
-
-# set up STC parameters
-topo default
-export stcDumpLogs="true"
-export stcColor="false"
-export stcHaltOnError="false"
-export TERM="vt100"
-
diff --git a/jjb/onos/onos-run-bazel-stc-hag.sh b/jjb/onos/onos-run-bazel-stc-hag.sh
index 6d26527..6b07d13 100644
--- a/jjb/onos/onos-run-bazel-stc-hag.sh
+++ b/jjb/onos/onos-run-bazel-stc-hag.sh
@@ -1,4 +1,37 @@
 #!/bin/bash
 
+# exit on errors
+set -eu -o pipefail
+
+# initialize build environment
+ONOS_ROOT=`pwd`
+. tools/build/envDefaults
+
+# initialize development environment for STC
+export JAVA_HOME=
+. tools/dev/bash_profile
+
+PATH=$PATH:/home/jenkins/bin
+
+# always free the cell when exiting
+function cleanup {
+  cell return jenkins-${ONOS_VERSION}
+}
+
+trap cleanup EXIT
+
+# grab a cell to run on
+cell borrow 30 3+1 jenkins-${ONOS_VERSION}
+
+# build onos bits
+bazel build onos
+
+# set up STC parameters
+topo default
+export stcDumpLogs="true"
+export stcColor="false"
+export stcHaltOnError="false"
+export TERM="vt100"
+
 # run STC
 stc setup && stc net-trellis-hag-smoke
diff --git a/jjb/onos/onos-verify.yaml b/jjb/onos/onos-verify.yaml
index 3c1583a..88fa068 100644
--- a/jjb/onos/onos-verify.yaml
+++ b/jjb/onos/onos-verify.yaml
@@ -651,7 +651,6 @@
     builders:
     #put shell scripts in file then make sure shell check is installed on verify vms
       - shell: !include-raw-escape: install-bazel.sh
-      - shell: !include-raw-escape: allocate-cell-and-build.sh
       - shell: !include-raw-escape: onos-run-bazel-stc-hag.sh
 
 - job-template: